## kf6-ktextaddons 1.6.0+p24.04+vstable+git20250909.0125

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(KTEXTADDONS_CURRENT_VERSION "1.6.1")
project(KTextAddons VERSION ${KTEXTADDONS_CURRENT_VERSION})

set(QT_REQUIRED_VERSION "6.8.0")
set(KF_MIN_VERSION "6.11.0")
set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
set(CMAKE_CXX_STANDARD 20)
include(FeatureSummary)
find_package(ECM ${KF_MIN_VERSION}  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH  ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMAddQch)
include(ECMAddTests)
include(ECMDeprecationSettings)
include(CMakeDependentOption)
include(ECMQtDeclareLoggingCategory)
include(ECMCheckOutboundLicense)

file(GLOB_RECURSE ALL_SOURCE_FILES
textaddonswidgets/*.cpp
textaddonswidgets/*.h
textedittexttospeech/*.cpp
textedittexttospeech/*.h
textspeechtotext/*.cpp
textspeechtotext/*.h
textautocorrection/*.cpp
textautocorrection/*.h
textemoticons/*.cpp
textemoticons/*.h
texttranslator/*.cpp
texttranslator/*.h
textcustomeditor/*.cpp
textcustomeditor/*.h
textgrammarcheck/*.cpp
textgrammarcheck/*.h
textutils/*.cpp
textutils/*.h
textautogeneratetext/*.h
textautogeneratetext/*.cpp
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

option(BUILD_QUICK "Build with QtQuick support (experimental)" OFF)
if (BUILD_QUICK)
    include(ECMQmlModule)
endif ()

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Core Network Xml Sql)
option(OPTION_ADD_AUTOGENERATETEXT "Add support for autogenerate text plugin" ON)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    ColorScheme
    Archive
    CoreAddons
    Sonnet
    SyntaxHighlighting
    WidgetsAddons
    TextWidgets
)
option(BUILD_KIO_SUPPORT "Build with KIO support" ON)
add_feature_info(KIO_SUPPORT ${BUILD_KIO_SUPPORT} "Build with KIO support")

if(${BUILD_KIO_SUPPORT})
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS KIO)
endif()

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

find_package(Qt6Keychain ${QT6KEYCHAIN_LIB_VERSION} CONFIG)
set_package_properties(Qt6Keychain PROPERTIES
                                   DESCRIPTION "Provides support for secure credentials storage"
                                   URL "https://github.com/frankosterfeld/qtkeychain"
                                   TYPE REQUIRED)

if(BUILD_TESTING)
    find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Test)
    add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

option(BERGAMOT_TRANSLATOR_PLUGIN "Build bergamot translator plugin" OFF)
add_feature_info(BERGAMOT_TRANSLATOR_PLUGIN ${BERGAMOT_TRANSLATOR_PLUGIN} "Bergamot translator plugin (local translation) (Experimental. Need to download bergamot source code first)")

option(SPEAK_TO_TEXT_VOSK_PLUGIN "Build vosk speak to text support" OFF)
add_feature_info(SPEAK_TO_TEXT_VOSK_PLUGIN ${SPEAK_TO_TEXT_VOSK_PLUGIN} "Vosk speak to text plugin (local text to speak) (Experimental)")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

option(DISABLE_AUTOTEST_BROKEN_CI "Disable autotest broken on CI (work locally)" OFF)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(
    QT 6.9.0
    KF 6.14.0
)

if(BERGAMOT_TRANSLATOR_PLUGIN)
   find_package(slimt)
   set_package_properties(slimt PROPERTIES DESCRIPTION
       "Add local translation based on Bergamot"
       TYPE OPTIONAL
  )
endif()


add_subdirectory(textaddonswidgets)
add_subdirectory(textautocorrection)
add_subdirectory(textgrammarcheck)
add_subdirectory(texttranslator)
add_subdirectory(textemoticons)
add_subdirectory(textutils)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED MultimediaWidgets)
add_subdirectory(textspeechtotext)
if(OPTION_ADD_AUTOGENERATETEXT)
    add_subdirectory(textautogeneratetext)
endif()

find_package(Qt6TextToSpeech ${QT_REQUIRED_VERSION} CONFIG)
set_package_properties(Qt6TextToSpeech PROPERTIES DESCRIPTION
    "Add support for text to speech"
    TYPE OPTIONAL
)
if(TARGET Qt6::TextToSpeech)
    add_subdirectory(textedittexttospeech)
endif()

add_subdirectory(textcustomeditor)
ecm_qt_install_logging_categories(
        EXPORT KTEXTADDONS
        FILE ktextaddons.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)


kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== textautogeneratetext/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>
add_definitions(-DTRANSLATION_DOMAIN=\"libtextautogeneratetext\")
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6TextAutoGenerateText")

ecm_setup_version(PROJECT VARIABLE_PREFIX TEXTAUTOGENERATETEXT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/textautogeneratetext_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoGenerateTextConfigVersion.cmake"
    SOVERSION 1
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoGenerateTextConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoGenerateTextConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KF6TextAutoGenerateTextTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6TextAutoGenerateTextTargets.cmake NAMESPACE KF6::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/textautogeneratetext_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoGenerateText/ COMPONENT Devel
)

add_library(KF6TextAutoGenerateText)

add_library(KF6::TextAutoGenerateText ALIAS KF6TextAutoGenerateText)
ecm_qt_declare_logging_category(KF6TextAutoGenerateText HEADER textautogeneratetextcore_database_debug.h
    IDENTIFIER TEXTAUTOGENERATETEXT_CORE_DATABASE_LOG
    CATEGORY_NAME org.kde.kf.textautogeneratetext.database
    DESCRIPTION "KF6 (TextAutoGenerateText core database)"
    EXPORT KTEXTADDONS
)

ecm_qt_declare_logging_category(KF6TextAutoGenerateText HEADER textautogeneratetextcore_debug.h
    IDENTIFIER TEXTAUTOGENERATETEXT_CORE_LOG
    CATEGORY_NAME org.kde.kf.textautogeneratetext
    DESCRIPTION "KF6 (TextAutoGenerateText core)"
    EXPORT KTEXTADDONS
)

ecm_qt_declare_logging_category(KF6TextAutoGenerateText HEADER textautogeneratetextcore_memory_debug.h
    IDENTIFIER TEXTAUTOGENERATETEXT_CORE_MEMORY_LOG
    CATEGORY_NAME org.kde.kf.textautogeneratetext
    DESCRIPTION "KF6 (TextAutoGenerateText core memory)"
    EXPORT KTEXTADDONS
)

ecm_qt_declare_logging_category(KF6TextAutoGenerateText HEADER textautogeneratetextwidget_debug.h
    IDENTIFIER TEXTAUTOGENERATETEXT_WIDGET_LOG
    CATEGORY_NAME org.kde.kf.textautogeneratetext.widget
    DESCRIPTION "KF6 (TextAutoGenerateText widget)"
    EXPORT KTEXTADDONS
)

ecm_qt_declare_logging_category(KF6TextAutoGenerateText HEADER textautogeneratetextwidget_animation_debug.h
    IDENTIFIER TEXTAUTOGENERATETEXT_WIDGET_ANIMATION_LOG
    CATEGORY_NAME org.kde.kf.textautogeneratetext.widget_animation
    DESCRIPTION "KF6 (TextAutoGenerateText widget animation)"
    EXPORT KTEXTADDONS
)

ecm_qt_declare_logging_category(KF6TextAutoGenerateText HEADER textautogeneratetextwidget_menu_debug.h
    IDENTIFIER TEXTAUTOGENERATETEXT_WIDGET_MENU_LOG
    CATEGORY_NAME org.kde.kf.textautogeneratetext.widget_menu
    DESCRIPTION "KF6 (TextAutoGenerateText widget menu)"
    EXPORT KTEXTADDONS
)

target_sources(KF6TextAutoGenerateText PRIVATE
    core/textautogenerateengineplugin.h
    core/textautogenerateengineplugin.cpp
    core/textautogenerateengineloader.cpp
    core/textautogenerateengineloader.h
    core/textautogeneratetextclient.h
    core/textautogeneratetextclient.cpp
    core/textautogeneratetextplugin.h
    core/textautogeneratetextplugin.cpp
    core/textautogeneratemanager.h
    core/textautogeneratemanager.cpp
    core/textautogenerateengineaccessmanager.cpp
    core/textautogenerateengineaccessmanager.h

    core/textautogeneratechatsettings.h
    core/textautogeneratechatsettings.cpp

    core/textautogeneratetextreplyinfo.h
    core/textautogeneratetextreplyinfo.cpp

    core/textautogenerateengineutil.h
    core/textautogenerateengineutil.cpp

    core/textautogeneratemessagesmodel.h
    core/textautogeneratemessagesmodel.cpp

    core/textautogeneratesearchmessagesmodel.h
    core/textautogeneratesearchmessagesmodel.cpp

    core/textautogeneratesearchmessage.h
    core/textautogeneratesearchmessage.cpp

    core/textautogeneratemessage.h
    core/textautogeneratemessage.cpp

    core/textautogenerateanswerinfo.h
    core/textautogenerateanswerinfo.cpp

    core/textautogeneratetextcontext.h
    core/textautogeneratetextcontext.cpp

    core/textautogeneratehistorysortfilterproxymodel.h
    core/textautogeneratehistorysortfilterproxymodel.cpp

    core/textautogeneratehistorylistheadingsproxymodel.h
    core/textautogeneratehistorylistheadingsproxymodel.cpp

    core/textautogeneratemessageutils.h
    core/textautogeneratemessageutils.cpp

    core/textautogeneratechat.h
    core/textautogeneratechat.cpp
    core/textautogeneratechatsmodel.h
    core/textautogeneratechatsmodel.cpp

    core/localdatabase/textautogeneratelocaldatabaseutils.h
    core/localdatabase/textautogeneratelocaldatabaseutils.cpp

    core/localdatabase/textautogeneratelocaldatabaseabstract.h
    core/localdatabase/textautogeneratelocaldatabaseabstract.cpp
    core/localdatabase/textautogeneratelocalchatsdatabase.h
    core/localdatabase/textautogeneratelocalchatsdatabase.cpp
    core/localdatabase/textautogeneratelocalmessagesdatabase.cpp
    core/localdatabase/textautogeneratelocalmessagesdatabase.h
    core/localdatabase/textautogeneratelocaldatabasemanager.h
    core/localdatabase/textautogeneratelocaldatabasemanager.cpp

    core/textautogeneratesearchjob.h
    core/textautogeneratesearchjob.cpp

    core/textautogenerateaskjob.h
    core/textautogenerateaskjob.cpp

    core/textautogeneratesearchmessageutils.h
    core/textautogeneratesearchmessageutils.cpp

    core/textautogeneratereply.h
    core/textautogeneratereply.cpp
    core/textautogeneratetextrequest.cpp
    core/textautogeneratetextrequest.h

    core/textautogeneratemanagerbase.h
    core/textautogeneratemanagerbase.cpp
)

target_sources(KF6TextAutoGenerateText PRIVATE
    widgets/textautogenerateconfigurewidget.h
    widgets/textautogenerateconfigurewidget.cpp
    widgets/textautogeneratetextconfigurecombowidget.cpp
    widgets/textautogeneratetextconfigurecombowidget.h

    widgets/textautogeneratetextlineeditwidget.h
    widgets/textautogeneratetextlineeditwidget.cpp

    widgets/textautogenerateresultwidget.h
    widgets/textautogenerateresultwidget.cpp
    widgets/textautogeneratetextlineedit.h
    widgets/textautogeneratetextlineedit.cpp

    widgets/textautogeneratewidget.h
    widgets/textautogeneratewidget.cpp

    widgets/textautogeneratedialog.h
    widgets/textautogeneratedialog.cpp

    widgets/view/textautogeneratelistview.h
    widgets/view/textautogeneratelistview.cpp

    widgets/view/textautogeneratelistviewdelegate.h
    widgets/view/textautogeneratelistviewdelegate.cpp
    widgets/view/textautogeneratelistviewbasedelegate.cpp
    widgets/view/textautogeneratelistviewbasedelegate.h

    widgets/view/textautogeneratedelegateutils.h
    widgets/view/textautogeneratedelegateutils.cpp

    widgets/view/textautogenerateselectedmessagebackgroundanimation.h
    widgets/view/textautogenerateselectedmessagebackgroundanimation.cpp

    widgets/view/textautogeneratemessagewaitingansweranimation.h
    widgets/view/textautogeneratemessagewaitingansweranimation.cpp
    widgets/view/textautogeneratecolorsandmessageviewstyle.h
    widgets/view/textautogeneratecolorsandmessageviewstyle.cpp
    widgets/view/textautogeneratebaselistview.h
    widgets/view/textautogeneratebaselistview.cpp

    widgets/view/textautogeneratesearchlistview.h
    widgets/view/textautogeneratesearchlistview.cpp

    widgets/view/textautogeneratesearchlistviewdelegate.h
    widgets/view/textautogeneratesearchlistviewdelegate.cpp

    widgets/textautogeneratestackwidget.h
    widgets/textautogeneratestackwidget.cpp

    widgets/textautogenerateconfiguredialog.h
    widgets/textautogenerateconfiguredialog.cpp

    widgets/textautogeneratenotworkingwidget.h
    widgets/textautogeneratenotworkingwidget.cpp

    widgets/textautogeneratehistorywidget.h
    widgets/textautogeneratehistorywidget.cpp

    widgets/view/textautogeneratehistorylistview.h
    widgets/view/textautogeneratehistorylistview.cpp

    widgets/view/textautogeneratehistorylistviewdelegate.h
    widgets/view/textautogeneratehistorylistviewdelegate.cpp
    widgets/view/textautogeneratelistviewtextselection.h
    widgets/view/textautogeneratelistviewtextselection.cpp
    widgets/view/lrucache.h

    widgets/textautogenerateheaderwidget.h
    widgets/textautogenerateheaderwidget.cpp

    widgets/textautogeneratesearchwidget.h
    widgets/textautogeneratesearchwidget.cpp

    widgets/textautogeneratesearchdialog.h
    widgets/textautogeneratesearchdialog.cpp

    widgets/textautogeneratesearchlineedit.h
    widgets/textautogeneratesearchlineedit.cpp

    widgets/menu/textautogeneratemenuconfiguredialog.cpp
    widgets/menu/textautogeneratemenuconfiguredialog.h
    widgets/menu/textautogeneratemenuconfigurewidget.cpp
    widgets/menu/textautogeneratemenuconfigurewidget.h
    widgets/menu/textautogeneratemenulistview.cpp
    widgets/menu/textautogeneratemenulistview.h
    widgets/menu/textautogeneratemenulistviewdelegate.cpp
    widgets/menu/textautogeneratemenulistviewdelegate.h
    widgets/menu/textautogeneratemenumodel.cpp
    widgets/menu/textautogeneratemenumodel.h
    widgets/menu/textautogeneratemenutextinfo.cpp
    widgets/menu/textautogeneratemenutextinfo.h
    widgets/menu/textautogeneratemenutextmanager.cpp
    widgets/menu/textautogeneratemenutextmanager.h
    widgets/menu/textautogeneratemenuwidget.cpp
    widgets/menu/textautogeneratemenuwidget.h
)

if(BUILD_TESTING)
    add_subdirectory(core/autotests)
    add_subdirectory(autotests)
    add_subdirectory(tests)
    add_subdirectory(widgets/menu/autotests)
endif()

add_subdirectory(plugins)


if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KF6TextAutoGenerateText PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KF6TextAutoGenerateText BASE_NAME textautogeneratetext)


target_link_libraries(KF6TextAutoGenerateText
    PUBLIC
    Qt::Gui
    Qt::Widgets
    Qt::Network
    PRIVATE
    Qt::Sql
    KF6::I18n
    KF6::WidgetsAddons
    KF6::ConfigGui
    KF6::TextWidgets
    KF6::CoreAddons
    KF6::ColorScheme
)
target_include_directories(KF6TextAutoGenerateText INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoGenerateText/>")

set_target_properties(KF6TextAutoGenerateText PROPERTIES
    VERSION ${TEXTAUTOGENERATETEXT_VERSION}
    SOVERSION ${TEXTAUTOGENERATETEXT_SOVERSION}
    EXPORT_NAME TextAutoGenerateText
)

ecm_generate_headers(TextAutoGenerateText_Camelcasestextautogeneratetextcore_HEADERS
    HEADER_NAMES
    TextAutoGenerateEnginePlugin
    TextAutoGenerateTextClient
    TextAutoGenerateTextPlugin
    TextAutoGenerateTextContext
    TextAutoGenerateHistorySortFilterProxyModel
    TextAutoGenerateMessagesModel
    TextAutoGenerateManager
    TextAutoGenerateMessage
    TextAutoGenerateAnswerInfo
    TextAutoGenerateChat
    TextAutoGenerateTextReplyInfo
    TextAutoGenerateSearchMessagesModel
    TextAutoGenerateSearchMessage
    TextAutoGenerateAskJob
    TextAutoGenerateReply
    TextAutoGenerateTextRequest
    TextAutoGenerateManagerBase
    REQUIRED_HEADERS TextAutoGenerateText_textautogeneratetextcore_HEADERS
    PREFIX TextAutoGenerateText
    RELATIVE core
)

ecm_generate_headers(TextAutoGenerateText_Camelcasestextautogeneratetextwidgets_HEADERS
    HEADER_NAMES
    TextAutoGenerateConfigureWidget
    TextAutoGenerateConfigureDialog
    TextAutoGenerateResultWidget
    TextAutoGenerateWidget
    TextAutoGenerateDialog
    REQUIRED_HEADERS TextAutoGenerateText_textautogeneratetextwidgets_HEADERS
    PREFIX TextAutoGenerateText
    RELATIVE widgets
)

ecm_generate_headers(TextAutoGenerateText_Camelcasestextautogeneratetextwidgetsmenu_HEADERS
    HEADER_NAMES
    TextAutoGenerateMenuWidget
    TextAutoGenerateMenuConfigureDialog
    TextAutoGenerateMenuTextInfo
    TextAutoGenerateMenuConfigureWidget
    TextAutoGenerateMenuTextManager

=== debian/changelog ===
kf6-ktextaddons (1.6.0+p24.04+vstable+git20250909.0125-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 01:25:47 +0000

kf6-ktextaddons (1.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Jun 2025 19:23:39 +0000

kf6-ktextaddons (1.5.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Apr 2023 02:46:06 +0000

## kf6-ktextaddons 1.7.1

=== debian/changelog ===
kf6-ktextaddons (1.7.1-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 02:22:36 +0000

kf6-ktextaddons (1.7.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Mon, 01 Sep 2025 18:46:58 +1000

## kf6-ktextaddons 1.8.0

=== debian/changelog ===
kf6-ktextaddons (1.8.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:37:32 +0000

kf6-ktextaddons (1.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Mon, 13 Oct 2025 09:01:12 +1000

## kf6-ktextaddons 1.8.0+p24.04+vstable+git20251019.0143

=== debian/changelog ===
kf6-ktextaddons (1.8.0+p24.04+vstable+git20251019.0143-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 01:43:21 +0000

## kf6-ktextaddons 1.8.0+p24.04+vstable+git20251020.0053

=== debian/changelog ===
kf6-ktextaddons (1.8.0+p24.04+vstable+git20251020.0053-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:53:26 +0000

## kf6-ktextaddons 1.8.0+p24.04+vstable+git20251021.0322

=== debian/changelog ===
kf6-ktextaddons (1.8.0+p24.04+vstable+git20251021.0322-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:22:31 +0000

## kf6-ktextaddons 1.8.0+p24.04+vstable+git20251025.0244

=== debian/changelog ===
kf6-ktextaddons (1.8.0+p24.04+vstable+git20251025.0244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 25 Oct 2025 02:45:02 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_DESIGNERPLUGIN=ON

## kf6-ktextaddons 1.8.0+p24.04+vstable+git20251028.0837

=== debian/changelog ===
kf6-ktextaddons (1.8.0+p24.04+vstable+git20251028.0837-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 08:37:39 +0000

=== debian/control ===
Source: kf6-ktextaddons
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               gettext,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kxmlgui-dev,
               kf6-sonnet-dev,
               kf6-syntax-highlighting-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-multimedia-dev,
               qt6-speech-dev,
               qt6-tools-dev,
               qt6-tools-private-dev,
               qtkeychain-qt6-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/libraries/ktextaddons
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-ktextaddons.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-ktextaddons
Maintainer: Neon CI <neon@kde.org>

Package: kf6-ktextaddons
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5textaddons-data (<< 1.5.3-1)
Replaces: libkf6textaddonswidgets1,
          libkf6textautocorrection1,
          libkf6textedittexttospeech1,
          libkf6textemoticons1,
          libkf6textgrammarcheck1,
          libkf6texttranslator1
Description: Text processing library from KDE
 Various text handling addons.

Package: kf6-ktextaddons-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-karchive-dev,
         kf6-kcolorscheme-dev,
         kf6-kconfigwidgets-dev,
         kf6-kcoreaddons-dev,
         kf6-ki18n-dev,
         kf6-ktextaddons (= ${binary:Version}),
         kf6-kxmlgui-dev,
         qt6-base-dev,
         qt6-multimedia-dev,
         qt6-speech-dev,
         qt6-tools-dev,
         qtkeychain-qt6-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6ktextaddons-dev
Description: Text processing library from KDE
 Various text handling addons.
 .
 Contains development files for ktextaddons.

Package: libkf6ktextaddons-dev
Architecture: any
Multi-Arch: same
Depends: kf6-ktextaddons-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6textgrammarcheck1
Architecture: any
Multi-Arch: same
Depends: kf6-ktextaddons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6texttranslator1
Architecture: any
Multi-Arch: same
Depends: kf6-ktextaddons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6textedittexttospeech1
Architecture: any
Multi-Arch: same
Depends: kf6-ktextaddons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6textautocorrection1
Architecture: any
Multi-Arch: same
Depends: kf6-ktextaddons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6textaddonswidgets1
Architecture: any
Multi-Arch: same
Depends: kf6-ktextaddons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6textemoticons1
Architecture: any
Multi-Arch: same
Depends: kf6-ktextaddons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/ktextaddons/ktextaddons-([\d.]+)\.tar\.xz

## kf6-ktextaddons 1.8.0+p24.04+vstable+git20251030.0252

=== debian/changelog ===
kf6-ktextaddons (1.8.0+p24.04+vstable+git20251030.0252-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 02:52:27 +0000

## kf6-ktextaddons 1.8.0+p24.04+vstable+git20251031.0332

=== debian/changelog ===
kf6-ktextaddons (1.8.0+p24.04+vstable+git20251031.0332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 03:32:37 +0000

## kf6-ktextaddons 1.8.0+p24.04+vstable+git20251206.0457

=== debian/changelog ===
kf6-ktextaddons (1.8.0+p24.04+vstable+git20251206.0457-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 04:57:17 +0000

## kf6-ktextaddons 1.8.0+p24.04+vstable+git20251219.0210

=== debian/changelog ===
kf6-ktextaddons (1.8.0+p24.04+vstable+git20251219.0210-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 19 Dec 2025 02:11:02 +0000
